package com.ruoyi.zdsz.mapper;

import com.ruoyi.zdsz.domain.ZEngiineeringPhoto;
import com.ruoyi.zdsz.domain.vo.ZEngiineeringPhotoVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 照片Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface ZEngiineeringPhotoMapper extends BaseMapperPlus<ZEngiineeringPhotoMapper, ZEngiineeringPhoto, ZEngiineeringPhotoVo> {
    int deleteByUrl( @Param("list") List<String> list);

    List<Map<String,Object>> getlist(String id);

    Map<String,String> getObjInfo(String nodeId);

    int deleteByUrls(String url);
}
